<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="CustomError.cs" />
    <Compile Remove="CustomUnauthorizedResult.cs" />
    <Compile Remove="Path.cs" />
    <Compile Remove="ReturnConstants.cs" />
    <Compile Remove="StringValueAttribute.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="FirebaseAdmin" Version="3.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authorization" Version="9.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.core" Version="2.2.5" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="9.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="9.0.0" />
    <PackageReference Include="Microsoft.IdentityModel.JsonWebTokens" Version="8.3.0" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="8.3.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.3.0" />
    <PackageReference Include="System.Text.Json" Version="9.0.0" />
	
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\domain\Domain.csproj" />
  </ItemGroup>

</Project>
